Imports System.Data.Entity.Migrations

Namespace CustomerManagement.Infrastructure.Migrations

	Partial Public Class AddAddressValueObject
		Inherits DbMigration
		Public Overrides Sub Up()
			AddColumn("dbo.Customers", "ShippingAddress_Street1", Function(c) c.String())
			AddColumn("dbo.Customers", "ShippingAddress_Street2", Function(c) c.String())
			AddColumn("dbo.Customers", "ShippingAddress_City", Function(c) c.String())
			AddColumn("dbo.Customers", "ShippingAddress_Region", Function(c) c.String())
			AddColumn("dbo.Customers", "ShippingAddress_Country", Function(c) c.String())
			AddColumn("dbo.Customers", "ShippingAddress_PostalCode", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_Street1", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_Street2", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_City", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_Region", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_Country", Function(c) c.String())
			AddColumn("dbo.Customers", "BillingAddress_PostalCode", Function(c) c.String())
		End Sub

		Public Overrides Sub Down()
			DropColumn("dbo.Customers", "BillingAddress_PostalCode")
			DropColumn("dbo.Customers", "BillingAddress_Country")
			DropColumn("dbo.Customers", "BillingAddress_Region")
			DropColumn("dbo.Customers", "BillingAddress_City")
			DropColumn("dbo.Customers", "BillingAddress_Street2")
			DropColumn("dbo.Customers", "BillingAddress_Street1")
			DropColumn("dbo.Customers", "ShippingAddress_PostalCode")
			DropColumn("dbo.Customers", "ShippingAddress_Country")
			DropColumn("dbo.Customers", "ShippingAddress_Region")
			DropColumn("dbo.Customers", "ShippingAddress_City")
			DropColumn("dbo.Customers", "ShippingAddress_Street2")
			DropColumn("dbo.Customers", "ShippingAddress_Street1")
		End Sub
	End Class
End Namespace
