﻿Imports Shareds.Interfaces

Namespace CustomerManagement.Core.DomainEvents
  Public Class CustomerNameFixedEvent
	  Implements IDomainEvent

	Public Sub New()
	  DateTimeEventOccurred = Date.Now
	End Sub

	Private privateDateTimeEventOccurred As Date
        Public Property DateTimeEventOccurred() As Date Implements Shareds.Interfaces.IDomainEvent.DateTimeEventOccurred
            Get
                Return privateDateTimeEventOccurred
            End Get
            Private Set(ByVal value As Date)
                privateDateTimeEventOccurred = value
            End Set
        End Property

	Public ReadOnly Property EventType() As String
	  Get
		  Return "CustomerNameFixedEvent"
	  End Get
	End Property
  End Class
End Namespace