﻿Imports OrderManagement.DataMirroring.DataPersistence
Imports OrderManagement.DataMirroring.Models
Imports Shareds.Interfaces

Namespace OrderManagement.DataMirroring
  Public Class CustomerUpdatedHandler
	  Implements IHandle(Of CustomerUpdatedEvent)
	Public Sub Handle(ByVal customerUpdatedEvent As CustomerUpdatedEvent) Implements IHandle(Of CustomerUpdatedEvent).Handle
	  Dim customer As Customer = customerUpdatedEvent.Customer
	  Using mgr = New SimpleRepo()
		If customerUpdatedEvent.IsNew Then
		  mgr.InsertCustomer(customer)
		Else
		  mgr.UpdateCustomer(customer)
		End If
	  End Using
	End Sub
  End Class
End Namespace