﻿Imports System.Data.Entity
Imports OrderManagement.DataMirroring.Models

Namespace OrderManagement.DataMirroring.DataPersistence
  Public Class CustomersContext
	  Inherits DbContext
	Public Property Customers() As DbSet(Of Customer)
  End Class

  Public Class MyDbConfiguration
	  Inherits DbConfiguration
	Public Sub New()
	  'With this set here, running the windows service (really a console app),
	  'will cause Entity Framework to execute the migrations:
	  'initial will create the database and its base schema
	  'ModifyCustomerSchema will apply a small change to the db schema

	  Me.SetDatabaseInitializer(New MigrateDatabaseToLatestVersion(Of CustomersContext, OrderManagement.DataMirroring.Migrations.Configuration)())
	End Sub
  End Class
End Namespace