Imports System.Data.Entity.Migrations
Imports System.Data.Entity

Namespace CustomerManagement.Infrastructure.Migrations

	Friend NotInheritable Class Configuration
		Inherits DbMigrationsConfiguration(Of CustomerManagement.Infrastructure.CustomerAggregateContext)
		Public Sub New()
			AutomaticMigrationsEnabled = False
			ContextKey = "CustomerManagement.Infrastructure.CustomerAggregateContext"
		End Sub

		Protected Overrides Sub Seed(ByVal context As CustomerManagement.Infrastructure.CustomerAggregateContext)
			'  This method will be called after migrating to the latest version.

			'  You can use the DbSet<T>.AddOrUpdate() helper extension method 
			'  to avoid creating duplicate seed data. E.g.
			'
			'    context.People.AddOrUpdate(
			'      p => p.FullName,
			'      new Person { FullName = "Andrew Peters" },
			'      new Person { FullName = "Brice Lambson" },
			'      new Person { FullName = "Rowan Miller" }
			'    );
			'
		End Sub
	End Class
End Namespace
