' --------------------------------------------------------------------------------------------------------------------
' <copyright file="IoC.cs" company="Web Advanced">
' Copyright 2012 Web Advanced (www.webadvanced.com)
' Licensed under the Apache License, Version 2.0 (the "License");
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
'
' http://www.apache.org/licenses/LICENSE-2.0
' Unless required by applicable law or agreed to in writing, software
' distributed under the License is distributed on an "AS IS" BASIS,
' WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
' See the License for the specific language governing permissions and
' limitations under the License.
' </copyright>
' --------------------------------------------------------------------------------------------------------------------

Imports Shareds.Interfaces
Imports StructureMap
Imports StructureMap.Graph

Namespace OrderManagement.DataMirroring.DependencyResolution
  Public NotInheritable Class IoC
	Private Sub New()
	End Sub
	Public Shared Function Initialize() As IContainer
            ObjectFactory.Configure(Sub(cfg)
                                           cfg.Scan(
                                               Sub(scan)
                                                scan.TheCallingAssembly()
                                                scan.ConnectImplementationsToTypesClosing(GetType(IHandle(Of )))
                                            End Sub)
                                       End Sub)
            Return ObjectFactory.Container
        End Function

  End Class
End Namespace