Imports System.Data.Entity.Migrations

Namespace OrderManagement.DataMirroring.Migrations
  Partial Public Class ModifyCustomerSchema
	  Inherits DbMigration
	Public Overrides Sub Up()
	  DropPrimaryKey("dbo.Customers")
	  AddColumn("dbo.Customers", "CustomerId", Function(c) c.Guid(False))
	  AddColumn("dbo.Customers", "ClientName", Function(c) c.String())
	  AddPrimaryKey("dbo.Customers", "CustomerId")
	  DropColumn("dbo.Customers", "Id")
	  DropColumn("dbo.Customers", "Name")
	End Sub

	Public Overrides Sub Down()
	  AddColumn("dbo.Customers", "Name", Function(c) c.String())
	  AddColumn("dbo.Customers", "Id", Function(c) c.Guid(False))
	  DropPrimaryKey("dbo.Customers")
	  DropColumn("dbo.Customers", "ClientName")
	  DropColumn("dbo.Customers", "CustomerId")
	  AddPrimaryKey("dbo.Customers", "Id")
	End Sub
  End Class
End Namespace